#!/usr/bin/perl -w

#$Header: /home2/cvsroot/LogTrend/StorageServer/ErrorDeclaration.pm,v 1.1 2001/11/16 10:27:13 lsimonneau Exp $
##******************************************************************************
## LogTrend::StorageServer::ErrorDeclaration
##  Description  : Declare the error for Storage Server
##  Project      : LogTrend 1.0.0.0 - Atrid Systemes
##  Author       : Laurent Simonneau l.simonneau@atrid.fr
##******************************************************************************
#$Log: ErrorDeclaration.pm,v $
#Revision 1.1  2001/11/16 10:27:13  lsimonneau
#Major features enhancement : Implementation of authentication with RSA signature.
#
#IMPORTANT : This StorageServer is incompatible with older versions.
#

package LogTrend::StorageServer::ErrorDeclaration;

use LogTrend::Crypto::ErrorDeclaration;
use Error;


@Error::SP_Internal::ISA = qw (Error::Simple);
@Error::SP_Protocol::ISA = qw (Error::Simple);
@Error::SP_XML::ISA = qw (Error::Simple);
@Error::DB_Request::ISA = qw (Error::Simple);
@Error::DB_AgentDescription::ISA = qw (Error::Simple);
@Error::DB_Connection::ISA = qw (Error::Simple);
@Error::Permission::ISA = qw (Error::Simple);

1;
